package com.steerinfo.meterwork.meterworkscheduledhelp.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractual.model.MeterWorkCarActual;
import com.steerinfo.meterwork.meterworkscheduledhelp.model.MeterWorkScheduledHelp;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterWorkScheduledHelpMapper extends IBaseMapper<MeterWorkScheduledHelp, String> {
    String getNewID(@Param(value = "afl") String afl);

    List<MeterWorkScheduledHelp> likeByDesc(Map<String, Object> var1);
    List<MeterWorkScheduledHelp> HelpMsgByDesc(Map<String, Object> var1);

    //根据时间查询所有秤点的报警总数、报警未处理、报警已处理
    List<MeterWorkScheduledHelp> countAllState(Map<String, Object> params);
    List<MeterWorkScheduledHelp> allStateView(Map<String, Object> params);

    //统计报警信息所对应的秤点
    List<MeterWorkScheduledHelp> helpContentSummarySpot(Map<String, Object> params);
    //查询报警信息
    List<MeterWorkScheduledHelp> helpContentSummary(Map<String, Object> params);
}